Package weka.attributeSelection

# Class UnsupervisedAttributeEvaluator

java.lang.Object
weka.attributeSelection.ASEvaluation
weka.attributeSelection.UnsupervisedAttributeEvaluator

All Implemented Interfaces:
  `Serializable`, `AttributeEvaluator`, `CapabilitiesHandler`, `RevisionHandler`

Direct Known Subclasses:
  `LatentSemanticAnalysis`, `PrincipalComponents`

public abstract class UnsupervisedAttributeEvaluator extends ASEvaluation implements AttributeEvaluator
Abstract unsupervised attribute evaluator.

Version:
  $Revision: 1.10 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupervisedAttributeEvaluator()`

## Method Summary

### Methods inherited from class weka.attributeSelection.ASEvaluation

`buildEvaluator, clean, forName, getCapabilities, getRevision, makeCopies, postProcess`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface weka.attributeSelection.AttributeEvaluator

`evaluateAttribute`

## Constructor Details

### UnsupervisedAttributeEvaluator

public UnsupervisedAttributeEvaluator()